import { ValidateAPIKeyPrefixExpectations } from '../apiKey/validateAPIKeyPrefix.js';
import '../apiKey/types.js';

type CustomAuth = {
    email?: string;
    jwt?: string;
};
type CrossmintConfig = {
    apiKey: string;
    jwt?: string;
    overrideBaseUrl?: string;
    appId?: string;
    extensionId?: string;
    experimental_customAuth?: CustomAuth;
};
type Crossmint = CrossmintConfig & {
    experimental_setCustomAuth: (customAuth: CustomAuth) => Crossmint;
    setJwt: (jwt: string) => Crossmint;
};
declare function createCrossmint(config: CrossmintConfig, apiKeyExpectations?: ValidateAPIKeyPrefixExpectations): Crossmint;

export { type Crossmint, type CrossmintConfig, type CustomAuth, createCrossmint };
